RTCP compound packets manipulation.

## Classes

class | RTCPCompoundHandler
| low level structs and RTCP packet parsing and building methods. More...
struct | RTCPCompoundHandler::RTCPPacket
| Struct representing general RTCP packet headers as they are sent through the network. More...
struct | RTCPCompoundHandler::RTCPFixedHeader
| Fixed RTCP packet header. More...
struct | RTCPCompoundHandler::NACKPacket
| Struct for Negative ACKnowledgements (NACK) RTCP packet. More...
struct | RTCPCompoundHandler::FIRPacket
| Struct for Full Intra-frame Request (FIR) RTCP packet. More...
struct | RTCPCompoundHandler::APPPacket
| Struct for APP (application specific) RTCP packets. More...
struct | RTCPCompoundHandler::BYEPacket
| Struct for BYE (leaving session) RTCP packets. More...
struct | RTCPCompoundHandler::SDESChunk
| Struct for a chunk of items in a SDES RTCP packet. More...
struct | RTCPCompoundHandler::SDESItem
| Struct for an item description of a SDES packet. More...
struct | RTCPCompoundHandler::SendReport
| Struct for SR (sender report) RTCP packets. More...
struct | RTCPCompoundHandler::SenderInfo
| Struct for the sender info block in a SR (sender report) RTCP packet. More...
struct | RTCPCompoundHandler::RecvReport
| raw structure of the source and every receiver report in an SR or RR RTCP packet. More...
struct | RTCPCompoundHandler::RRBlock
| Struct for a receiver info block in a SR (sender report) or an RR (receiver report) RTCP packet. More...
struct | RTCPCompoundHandler::ReceiverInfo
| Struct for the data contained in a receiver info block. More...
class | RTCPReceiverInfo
| Report block information of SR/RR RTCP reports. More...
class | RTCPSenderInfo
| Sender block information of SR RTCP reports. More...

## Enumerations

enum | SDESItemType { SDESItemTypeEND = 0, SDESItemTypeCNAME, SDESItemTypeNAME, SDESItemTypeEMAIL, SDESItemTypePHONE, SDESItemTypeLOC, SDESItemTypeTOOL, SDESItemTypeNOTE, SDESItemTypePRIV, SDESItemTypeH323CADDR, SDESItemTypeLast = SDESItemTypeH323CADDR }
| SDES items that may be carried in a Source DEScription RTCP packet. More...
enum | RTCPCompoundHandler::RTCPPacket::Type { RTCPCompoundHandler::RTCPPacket::tSR = 200, RTCPCompoundHandler::RTCPPacket::tRR, RTCPCompoundHandler::RTCPPacket::tSDES, RTCPCompoundHandler::RTCPPacket::tBYE, RTCPCompoundHandler::RTCPPacket::tAPP, RTCPCompoundHandler::RTCPPacket::tFIR = 192, RTCPCompoundHandler::RTCPPacket::tNACK = 193, RTCPCompoundHandler::RTCPPacket::tXR }
| rtp.h cc++/rtp.h More...
enum | { RTCPCompoundHandler::defaultPathMTU = 1500 }

## Functions

timeval | NTP2Timeval (uint32 msw, uint32 lsw)
| Convert a NTP timestamp, expressed as two 32-bit long words, into a timeval value. More...
uint32 | timevalIntervalTo65536 (timeval &t)
| Convert a time interval, expressed as a timeval, into a 32-bit time interval expressed in units of 1/65536 seconds. More...

## Detailed Description

## Enumeration Type Documentation

anonymous enum

protected

Enumerator
defaultPathMTU |

enum SDESItemType

SDES items that may be carried in a Source DEScription RTCP packet.

CNAME is mandatory in each RTCP compound packet (except when split for partial encryption), the others are optional and have different sending frequencies, though with recommended default values.

Enumerator
SDESItemTypeEND | END of SDES item list.
SDESItemTypeCNAME | Canonical end-point identifier.
SDESItemTypeNAME | Personal NAME of the user.
SDESItemTypeEMAIL | EMAIL address of the user.
SDESItemTypePHONE | Phone number of the user.
SDESItemTypeLOC | Location where the user is.
SDESItemTypeTOOL | Application or tool.
SDESItemTypeNOTE | Comment usually reporting state.
SDESItemTypePRIV | Private extension.
SDESItemTypeH323CADDR | H323 callable address.
SDESItemTypeLast | Last defined code.

enum RTCPCompoundHandler::RTCPPacket::Type

rtp.h cc++/rtp.h

RTCP packet types. They are registered with IANA.

Enumerator
tSR | Sender Report.
tRR | Receiver Report.
tSDES | Source DEScription.
tBYE | End of participation.
tAPP | APPlication specific.
tFIR | Full Intra-frame request.
tNACK | Negative ACK.
tXR | Extended Report.

## Function Documentation

timeval NTP2Timeval | ( | uint32 | msw,
|  | uint32 | lsw
| ) |  |

Convert a NTP timestamp, expressed as two 32-bit long words, into a timeval value.

Parameters

  msw | Integer part of NTP timestamp.
  lsw | Fractional part of NTP timestamp.

Returns
  timeval value corresponding to the given NTP timestamp.

uint32 timevalIntervalTo65536 | ( | timeval & | t | ) |

Convert a time interval, expressed as a timeval, into a 32-bit time interval expressed in units of 1/65536 seconds.

Parameters

  t | Timeval interval.

Returns
  32-bit value corresponding to the given timeval interval.